### Method

# Gimp Image freeze_vectors

#### Declaration [src]

    gboolean
    gimp_image_freeze_vectors (
      GimpImage* image
    )

#### Description [src]

Freeze the image’s vectors list.

This procedure freezes the vectors list of the image, suppressing any updates to the Paths dialog in response to changes to the image’s vectors. This can significantly improve performance while applying changes affecting the vectors list.

Each call to `gimp_image_freeze_vectors()` should be matched by a corresponding call to gimp_image_thaw_vectors(), undoing its effects.

Available since: | 2.10.2

#### Return value

Returns: | `gboolean`
| TRUE on success.